﻿--名字变色列表1
local npc1 = {
"164803",	--测试-奥利波斯宝库首席守护者
"166299",	--仙林照看
"167111",	--仙林巨虫
"164921",	--仙林收割者
"179388",	--宏图时沙号海潮贤者
"180431",	--宏图专心的祭师
"178141",	--宏图浊盐缚鳞者
"178392",	--天街大门看护者佐·马兹
"179841",	--天街老练的火花法师
"176565",	--天街捣乱的顾客-传送
"177816",	--天街审讯专员
"180336",	--天街财团智囊
"176396",	--天街损坏的分拣机
"150297",	--垃圾场麦卡贡重整者
"150169",	--垃圾场剧毒潜伏者
"150251",	--垃圾场械顶机械师
"150146",	--垃圾场屑骨萨满
"151659",	--车间火箭坦克
"144295",	--车间麦卡贡机械师
"114803",	--卡下鬼灵马夫
"81236",	--车站恐轨技师
"82579",	--车站格罗姆卡先知
"80937",	--车站格罗姆卡枪手
"114629",	--卡下鬼灵家仆
"114633",	--卡下鬼灵侍从
"116549",	--卡下替补歌手

}
--名字变色列表2
local npc2 = {
"156698",	--测试-奥利波斯侍神防御者
"178139",	--宏图碎壳者
"179269",	--天街绿洲保安--打断
"177817",	--天街支援警官
"144294",	--车间麦卡贡工匠
"150160",	--垃圾场屑骨恶霸
"114542",	--卡下幽灵慈善家
"114632",	--卡下鬼灵随从
"114634",	--卡下亡灵仆从
"88163",	--车站格罗姆卡燃烬先知
"80935",	--车站格罗姆卡爆破手

}

function PCNPCA(unit)
	local guid = UnitGUID(unit)
	local _, _, _, _, _, id = strsplit("-", guid or "") 
	for k,v in ipairs(npc1) do
		if id == v then
			return true
		end
	end
end

function PCNPCB(unit)
	local guid = UnitGUID(unit)
	local _, _, _, _, _, id = strsplit("-", guid or "") 
	for k,v in ipairs(npc2) do
		if id == v then
			return true
		end
	end
end

--debuff变色
function PCBUFFCOLOR(unit)
	for i = 1,20 do
		local _,_,_,_,_,_,source,_,_,buff = UnitDebuff(unit,i)
		if PlateColorDB["dotcolorAura"][buff] and source == "player" then
			return true
		end
	end
end

--鼓舞光环
function PCBUFF(unit)
	for i = 1,20 do
		local _,_,_,_,_,_,_,_,_,buff = UnitBuff(unit,i)
		if buff == 343502 then --鼓舞
			return true
		end
	end
end

--9.27伪装词缀怪
function PCBUFFWW(unit)
	local guid = UnitGUID(unit)
	local _, _, _, _, _, id = strsplit("-", guid or "") 
	for i = 1,20 do
		local _,_,_,_,_,_,_,_,_,buff = UnitBuff(unit,i)
		if buff == 373011 or id == "189878" then	--小伪装
			return 1
		elseif buff == 373785 then	--大伪装
			return 2
		elseif id == "190128" then
			return 3
		end
	end
end

--通过npcid获取名字,@hopeasd/MDT
local scanTooltip = CreateFrame("GameTooltip", "NPCNameToolTip", nil, "GameTooltipTemplate") --fake tooltipframe used for reading localized npc names -- by lunaic
local function GetNameFromNpcID(npcID)
	scanTooltip:SetOwner(UIParent,"ANCHOR_NONE")
	scanTooltip:SetHyperlink(format("unit:Creature-0-0-0-0-%d-0000000000", npcID))
	if scanTooltip:NumLines()>0 then
		local name = NPCNameToolTipTextLeft1:GetText()
		scanTooltip:Hide()
		return name
	end
end
function pcid(npcID)
	print(GetNameFromNpcID(npcID))
end